CliSessionState (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cli
Class CliSessionState

    java.lang.Object
      org.apache.cassandra.cli.CliSessionState

    public class CliSessionState

extends java.lang.Object

Used to hold the state for the CLI.

Field Summary
`boolean` | `batch`
`boolean` | `debug`
`java.io.PrintStream` | `err`
`java.lang.String` | `filename`
`boolean` | `framed`
`java.lang.String` | `hostName`
`java.io.InputStream` | `in`
`int` | `jmxPort`
`java.lang.String` | `keyspace`
`java.io.PrintStream` | `out`
`java.lang.String` | `password`
`int` | `schema_mwt`
`int` | `thriftPort`
`java.lang.String` | `username`
`boolean` | `verbose`

Constructor Summary
`CliSessionState()`

Method Summary
`NodeProbe` | `getNodeProbe()`
`boolean` | `inFileMode()`
`void` | `setErr(java.io.PrintStream newErr)`
`void` | `setOut(java.io.PrintStream newOut)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hostName

    public java.lang.String hostName

### thriftPort

    public int thriftPort

### framed

    public boolean framed

### debug

    public boolean debug

### username

    public java.lang.String username

### password

    public java.lang.String password

### keyspace

    public java.lang.String keyspace

### batch

    public boolean batch

### filename

    public java.lang.String filename

### jmxPort

    public int jmxPort

### verbose

    public boolean verbose

### schema_mwt

    public int schema_mwt

### in

    public java.io.InputStream in

### out

    public java.io.PrintStream out

### err

    public java.io.PrintStream err

Constructor Detail

### CliSessionState

    public CliSessionState()

Method Detail

### setOut

    public void setOut(java.io.PrintStream newOut)

### setErr

    public void setErr(java.io.PrintStream newErr)

### inFileMode

    public boolean inFileMode()

### getNodeProbe

    public NodeProbe getNodeProbe()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation